<script>
import Select from "@/components/Select.vue";
import SvgIcon from "@/components/SvgIcon.vue";

export default {
  components:{
    Select,
    SvgIcon,
  },
  data(){
    return{
      selectedIndex: {
        first: 0,
        second: 0,
        third: 0,
        fourth: 0,
      },
      selectOptions: {
        second: ["开启", "关闭"],
      },
      blueImgOpacity:1,
      whiteImgOpacity:0.4
    }
  },
  methods:{
    changeSeletIndex(index, data) {
      console.log(index)
      console.log(index[0], data);
      this.selectedIndex[data] = index[0];
      this.showOrigin = true
    },
  }
};
</script>

<template>
  <div>
    <div class="charge">
      <div class="title1">
        <label>预约充电</label>
      </div>
      <div class="title2">
        <label>预约充电</label>
      </div>
      <div class="slecet-warp">
        <Select
            :selectedIndex="selectedIndex.second"
            :options="selectOptions.second"
            @changeIndex="changeSeletIndex(arguments, 'second')"
        ></Select>
      </div>
      <div class="set_icon">
        <SvgIcon icon-class="ic_setting" class-name="set_icon1"></SvgIcon>
      </div>
      <div class="blue_img">
        <img
            :style="{ opacity:this.selectedIndex.second===0? this.blueImgOpacity:this.whiteImgOpacity}"
            src="../../assets/images/setting/charge_blue.webp" alt=""/>
      </div>
      <div class="bottom_lable">
        <span class="last_bottom_text">*预约功能目前仅对慢充有效，</span><span class="bottom_text_active">了解更多</span>
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.charge{
  position: relative;
  .blue_img{
    position: absolute;
    img{
      width: 1009px;
      height: 455px;
    }
    left: 455px;
    top:425px;
  }
  .blue_img_white{
    background: rgba(240, 243, 247, 0.66);
    position: absolute;
    img{
      width: 1009px;
      height: 455px;
    }
    left: 455px;
    top:425px;
  }
  .bottom_lable{
    width: 100%;
    height: 28px;
    position: absolute;
    top: 921px;
    //left: 746px;
    font-size: 24px;
    text-align: center;
    transform: scale(0.8);
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .bottom_text_active{
    display: flex;
    color:#4394EC ;
  }
  .last_bottom_text{
    display: flex;
    font-size: 24px;
    font-weight: normal;
  }
  .title1{
    position: absolute;
    left: 897px;
    top:119px;
    font-size: 31px;
    font-weight: normal;
    line-height: normal;
    letter-spacing: 0.05em;
    font-feature-settings: "kern" on;
    label{
      font-size: 24px;
      font-weight: normal;
    }
  }
  .title2{
    position: absolute;
    left: 102px;
    top:188px;
    font-size: 31px;
    font-weight: normal;
    line-height: normal;
    letter-spacing: 0.05em;
    font-feature-settings: "kern" on;
  }
  .set_icon{
    position: absolute;
    right: 57px;
    top: 113px;
  }
  .set_icon1{
    width: 44px;
    height: 44px;
  }
  .slecet-warp {
    position: absolute;
    top: 239px;
    left: 105px;
    width: 310px;
    height: 68px;
    //margin-top: 5px;
  }
}
</style>
